> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Api Key V1

> Update a key's name / scopes / rate limit / active flag. Cannot rotate the underlying secret — for that, delete and re-create…

Update a key's name / scopes / rate limit / active flag.

Cannot rotate the underlying secret — for that, delete and re-create.
A key cannot deactivate itself (would lock the caller out mid-request),
so trying to set `is_active=false` on the calling key returns 409.

### Path parameters

<ParamField path="key_id" type="string (uuid)" required />

### Request body

`UpdateAPIKeyRequest`

<ParamField body="name" type="string,null" />

<ParamField body="scopes" type="string[],null" />

<ParamField body="rate_limit_per_minute" type="integer,null" />

<ParamField body="is_active" type="boolean,null" />

### Response

`APIKeySummary`

<ResponseField name="id" type="string" required />

<ResponseField name="name" type="string" required />

<ResponseField name="key_prefix" type="string" required>
  First 12 chars of the key (e.g. 'sk\_ss\_aBc12').
</ResponseField>

<ResponseField name="scopes" type="string[]" required />

<ResponseField name="rate_limit_per_minute" type="integer" required />

<ResponseField name="is_active" type="boolean" required />

<ResponseField name="last_used_at" type="string,null" />

<ResponseField name="expires_at" type="string,null" />

<ResponseField name="created_at" type="string" required />

<ResponseField name="is_current" type="boolean">
  True for the key making this request (callers can self-identify).
</ResponseField>

### Status codes

| Code  | Meaning             |
| ----- | ------------------- |
| `200` | Successful Response |
| `422` | Validation Error    |

<RequestExample>
  ```bash cURL theme={null}
  curl --request PATCH \
    --url 'https://api.computer.stateset.app/api/v1/keys/{key_id}' \
    --header 'X-API-Key: YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "name": "Two-Person Tent",
    "scopes": [
      "string"
    ],
    "rate_limit_per_minute": 8,
    "is_active": true
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "name": "Two-Person Tent",
    "key_prefix": "string",
    "scopes": [
      "string"
    ],
    "rate_limit_per_minute": 8,
    "is_active": true,
    "last_used_at": "2026-08-31T14:22:05Z",
    "expires_at": "2026-08-31T14:22:05Z",
    "created_at": "2026-08-31T14:22:05Z",
    "is_current": false
  }
  ```
</ResponseExample>
